/******************************************************************************
 *{@C
 *      Copyright:      2005-2008 Paul Obermeier (obermeier@tcl3d.org)
 *
 *                      See the file "Tcl3D_License.txt" for information on
 *                      usage and redistribution of this file, and for a
 *                      DISCLAIMER OF ALL WARRANTIES.
 *
 *      Module:         Tcl3D
 *      Filename:       tcl3dDefines.i
 *
 *      Author:         Paul Obermeier
 *
 *      Description:    SWIG file with C macros to enable correct wrapping.
 *
 *****************************************************************************/

#define WINGDIAPI               /* Needed for Windows */
#define APIENTRY                /* Needed for Windows */
#define _LANGUAGE_C             /* Needed for SGI */
#define GL_MESA_trace           /* Needed for Linux */
#define CALLBACK                /* Needed for GLU wrapper */
#define GL_GLEXT_PROTOTYPES
#define WGL_WGLEXT_PROTOTYPES
#define OGLGLEXT_NOALIAS
#define WINAPI
#define GLAPI
#define GLAPIENTRY

typedef unsigned int GLenum;
typedef unsigned char GLboolean;
typedef unsigned int GLbitfield;
typedef signed char GLbyte;
typedef short GLshort;
typedef int GLint;
typedef int GLsizei;
typedef int GLsizeiptr;
typedef unsigned char GLubyte;
typedef unsigned short GLushort;
typedef unsigned int GLuint;
typedef float GLfloat;
typedef float GLclampf;
typedef double GLdouble;
typedef double GLclampd;
typedef void GLvoid;
typedef char GLchar;

typedef char GLcharARB;
typedef unsigned short GLhalfARB;
typedef unsigned int GLhandleARB;
typedef int GLsizeiptrARB;
